Energia

## millis()

#### Description

Returns the number of milliseconds since the LaunchPad board began running the current program. This number will overflow (go back to zero), after approximately 50 days.

#### Parameters

None

#### Returns

Number of milliseconds since the program started (unsigned long)

#### Example

    unsigned long time;

    void setup(){
      Serial.begin(9600);
    }
    void loop(){
      Serial.print("Time: ");
      time = millis();
      //prints time since program started
      Serial.println(time);
      // wait a second so as not to send massive amounts of data
      delay(1000);
    }

#### Tip:

Note that the parameter for millis is an unsigned long, errors may be generated if a programmer tries to do math with other datatypes such as ints.

#### See also

- micros()
- delay()
- delayMicroseconds()
- Tutorial: Blink Without Delay

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes